Subject: Lead from Live Chat - Rentacardoha.com
From: Nenad <[email-masked]>
To: [email-masked], [email-masked], [email-masked]
Date: Sat, 23 Nov 2019 03:42:01 -0500

| | Lead from Live Chat for Al Muftah Rent-a-Car

Name | Nenad
E-mail | [email-masked]
Lead About | Rental - Without driver
Date of Rental | 12-01-2019
Length of Rental | 5 months

Details of requirement

I have shared your details with my sales team. Our sales expert will be in touch with you soon! Send me by email please.. | I need simple car to be able to move from point a to point b

Only car I want to rent for 5 monath from 1 December until end of april

| |